#include <LEDA/graph_alg.h>

main(int argc,char** argv)
{

  graph G;
  int n = read_int("n = ");
  int m = read_int("m = ");

  for(;;)
  { random_graph(G,n,m);
    Delete_Loops(G);
    list<edge> L;
    float T = used_time();
    PLANAR(G,L,false); 
    cout << string("|Ek| = %3d   %5.2f sec", L.length(), used_time(T)) << endl; 
  }

  
  return 0;
}
